package cacciaAlTesoro;
import java.util.HashMap;
import java.util.Map;


public class GestioneCacciatori {
	
	private Map<String,Cacciatore> gestore;
	
	public GestioneCacciatori(){
		gestore = new HashMap<String,Cacciatore>();
	}
	
	synchronized public void add(Cacciatore c){
		gestore.put(c.getMatricola(),c);
	}
	
	synchronized public Cacciatore get(String token){
		for(Cacciatore c:gestore.values()){
			if(c.getToken().equals(token))
				return c;
		}
		return null;
		
	}

}
