package http;

import java.io.IOException;
import java.io.InputStream;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;

/*
 * Esempio dell'uso del metodo getContent della classe HttpURLConnection
 */

public class GetContentProva {
	public static void main(String[] args) {
		try {
			URL u = new URL("http://reti.di.unimi.it/"); //URL della pagina del corso
			HttpURLConnection huc = (HttpURLConnection) u.openConnection();
			Class[] type = {String.class,InputStream.class}; //Classi con cui tento l'incapsulamento della risposta HTTP
			Object o = huc.getContent(type); //Applico il metodo getContent
			System.out.println(o.getClass()); //Qual  il tipo dell'oggetto o
			if(o instanceof String){ //Se  incapsulabile nella classe String
				System.out.println("USO STRING");
				System.out.println((String) o);
			}
			if(o instanceof InputStream){ //Se  incapsulabile nella classe InputStream
				System.out.println("USO INPUTSTREAM"); 
				InputStream is = (InputStream)o;
				byte[] buffer = new byte[512];
				int letti = 0;
				while((letti=is.read(buffer))!=-1){ //solito ciclo di lettura
					System.out.write(buffer,0,letti);
					System.out.flush();
				}
			}
		} catch (MalformedURLException mue) {}
		catch(IOException ioe){}
	}

}
