package serverHTTP;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

import org.graphstream.graph.Graph;


public class Server {

	public static void main(String[] args) {
			ServerSocket server = null;
			try{
				server = new ServerSocket(7000);
				//Caricamento e visualizzazione del grafo social partendo da un file
				CaricatoreGrafo cg = new CaricatoreGrafo("listaAmici.txt");
				Graph g = cg.getGraph(); //g viene condiviso tra i thread
				g.display();
				while(true){
					try{
						Socket accettata = server.accept();
						ThreadHttpGet threadClient = new ThreadHttpGet();
						//Il passaggio degli oggetti che devono essrere utilizzati dai thread avviene per mezzo di metodi di set
						threadClient.setSocket(accettata);
						threadClient.setGraph(g);
						//Esecuzione del thread
						Thread t = new Thread(threadClient);
						t.start();
					}catch(IOException ioe){
						System.out.println("errore nella socket");
					}
				}
			}catch(IOException ioe){
				System.out.println("Errore server socket");
			}finally{
				if(server!=null){
					try {
						server.close();
					} catch (IOException e) {
						e.printStackTrace();
					}
				}
			}
	}
}
