package socket;

import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

public class ServerMultithread {

	public static void main(String[] args){
		ServerSocket server = null;
		try{
			server = new ServerSocket(5000);
			while(true){
				try{
					Socket accettata = server.accept();
					ThreadServizioClient threadClient = new ThreadServizioClient();
					threadClient.setSocket(accettata);
					Thread t = new Thread(threadClient);
					t.start();
				}catch(IOException ioe){
					System.out.println("errore nella socket");
				}
			}
		}catch(IOException ioe){
			System.out.println("Errore server socket");
		}finally{
			if(server!=null){
				try {
					server.close();
				} catch (IOException e) {
					e.printStackTrace();
				}
			}
		}
	}
}