package stream;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;

/*
 * In questa classe leggo un file codificato (Cp1251) in cirillico: Cirillico.txt e visualizzo sullo standard output utilizzando due codifiche
 * diverse dal cirillico.
 */

public class Esercizio12 {

	public static void main(String[] args) throws IOException {
		InputStreamReader isr = new InputStreamReader(new FileInputStream("Cirillico.txt"),"Cp1251"); //Stream di caratteri 
		OutputStreamWriter osw = new OutputStreamWriter(System.out, "SJIS");
		OutputStreamWriter osw2 = new OutputStreamWriter(System.out, "Cp1255");
		char[] cbuf = new char[4];
		int c;
		while((c = isr.read(cbuf))!=-1){
			osw.write(cbuf,0,c);
			osw2.write(cbuf,0,c);
		}
		osw.flush();
		osw2.flush();
		isr.close();
		osw.close();
		osw2.close();
	}
}
