package stream;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.zip.GZIPInputStream;

/*
 * In questa classe decomprimo il file charGenerator.gz salvandolo in charGeneratorDecom.txt. Vengono utilizzati gli stream
 * compressi di byt, in particolare la classe GZIPInputStream
 */

public class Esercizio9 {

	public static void main(String[] args) throws IOException {
		GZIPInputStream gzIs = new GZIPInputStream(new FileInputStream("charGenerator.gz")); //Apro uno stream byte di lettura verso un file compresso secondo la codifica GZIP
		FileOutputStream fos = new FileOutputStream("charGeneratorDecom.txt"); //Apro uno stream di byte in output su cui scriver il file decompresso.
		byte[] buffer = new byte[32]; //piccolo buffer di lettura
		int letti = 0;
		while((letti = gzIs.read(buffer)) !=-1){ //Leggo dal file compresso e inserisco la sequenza di byte letti nell'array buffer
			fos.write(buffer, 0, letti); //scrivo l'array di byte buffer sullo stream di output
		}
		gzIs.close();
		fos.close();
	}
}
