package thread;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.zip.ZipEntry;
import java.util.zip.ZipInputStream;

public class DecompressioneZIP implements Runnable{

	private ZipInputStream zis;
	private int entryNum;

	public DecompressioneZIP(ZipInputStream zis, int entryNum) {
		this.zis = zis;
		this.entryNum = entryNum;
	}

	@Override
	public void run() {
		System.out.println(Thread.currentThread().getName());
		ZipEntry ze = null;
		int entryCount = 0;
		int b;
		try{
			while((ze= zis.getNextEntry()) != null){
				if(entryCount == entryNum){
					System.out.println(ze.getName());
					FileOutputStream fos = new FileOutputStream(ze.getName());
					while((b=zis.read())!=-1){
						fos.write(b);
					}
					zis.closeEntry();
					fos.flush();
					fos.close();
				}
				entryCount++;
			}
		}catch(IOException ioe){System.out.println("IO");}
	}


	public static void main(String[] args) {
		try{
			ZipInputStream zis = new ZipInputStream(new FileInputStream(args[0]));
			ZipEntry ze = null;
			int entryCount = 0;
			int b;
			while((ze= zis.getNextEntry()) != null){
				entryCount++;
			}
			for (int i = 0; i < entryCount; i++) {
				zis = new ZipInputStream(new FileInputStream(args[0]));
				(new Thread(new DecompressioneZIP(zis,i))).start();
			}
		}catch(IOException ioe){}
	}

}
