package facebook;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStreamReader;

import org.json.simple.JSONArray;
import org.json.simple.JSONObject;
import org.json.simple.parser.JSONParser;
import org.json.simple.parser.ParseException;

public class InformazioniMie {
	
	public static void main(String[] args) {
		try {
			BufferedReader br = new BufferedReader(new InputStreamReader(new FileInputStream("me.txt"))); //apro una stream di 
			//caratteri per leggere il file me.txt che contiene la risposta JSON restituita dalla risorsa https://graph.facebook.com/me 
			//eseguita nell'applicazione Graph API Explorer
			JSONParser parser = new JSONParser(); //Inizializzazione del parser
			JSONObject risposta = (JSONObject) parser.parse(br); //parso lo stream. La risposta data da Facebook Graph API  un oggetto JSON
			System.out.println(risposta.get("gender")); //Accedo al campo indicato dalla chiave gender
			JSONArray scuole = (JSONArray) risposta.get("education"); //Accedo al campo indicato dalla chiave education. Il valore  un array JSON
			System.out.println("Numero di elementi nel campo education: "
					+ scuole.size());
			for(Object o:scuole){ //Itero su ogni elemento contenuto nell'array JSON
				JSONObject scuola = (JSONObject) o; //Ogni elemento  un oggetto JSON
				System.out.println("\t"+scuola.get("type")); //Accedo al campo type di ogni elemento
			}
		} catch (IOException e) {
			e.printStackTrace();
		} catch(ParseException pe){
			pe.printStackTrace();
		}
	}

}
