package http;

import java.io.IOException;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;
import java.util.Date;


/*
 * In questa classe sfrutto il campo Expiration-Date nell'header di risposta Http per richiedere in modo automatico la risorsa quando
 * quest'ultima scade. La classe non scarica la risorsa.
 */
public class AggiornamentoAutomatico {

	public static void main(String[] args) {
		try{
			while(true){
				URL u = new URL("http://www.repubblica.it");
				HttpURLConnection huc = (HttpURLConnection) u.openConnection();
				huc.connect();
				long dateServer = huc.getDate(); //Estraggo la data di creazione della risposta lato server. La risposta in lon g rappresenta il numero di millisecondi passati
				//dal 1 gennaio 1970
				long dateExpiration = huc.getExpiration(); //Estraggo la data di scadenza della risorsa
				System.out.println(new Date(dateServer) + "->"+ new Date(dateExpiration));
				Thread.sleep(dateExpiration-dateServer+2000); //Aspetto finch la pagina non scade e per sicurezza aggiungo 2 sec di attesa
			}

		}catch(MalformedURLException mue){}
		catch(IOException ioe){} 
		catch (InterruptedException e) {}
	}
	
}
