package http;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.URL;

public class FormConPostHttp {
	public static void main(String[] args) throws IOException{
		URL u = new URL("http://www.cafeaulait.org/books/jnp3/postquery.phtml"); //Risorsa che visualizza i valori inviati utilizzando il metodo POST
		HttpURLConnection huc = (HttpURLConnection) u.openConnection();
		String richiesta = "username=Matteo+Zignani&mail=matteo%2ezignani%40unimi%2eit"; //Valori inviati usando metodo POST
		byte[] richiestaByte = richiesta.getBytes(); //Trasformo la stringa in un array di byte
		System.out.println(richiesta.length());
		huc.setRequestMethod("POST"); //setto il metodo di accesso alla risorsa
		//Setto Header
		huc.setRequestProperty("User-Agent","Java/1.7.0_07"); //User-agent
		huc.setRequestProperty("Content-type", "application/x-www-form-urlencoded"); //Valore relativo a campi provenienti da form html
		huc.setRequestProperty("Content-length", ""+richiestaByte.length); //Quanto lunga la mia richiesta in byte
		huc.setDoOutput(true);
		OutputStream os = huc.getOutputStream(); //scrivo la mia richiesta sul server
		os.write(richiestaByte);
		//Leggo la risposta inviata dalla risorsa 
		BufferedReader br = new BufferedReader(new InputStreamReader(huc.getInputStream()));
		String risultati = "";
		while((risultati=br.readLine())!=null){
			System.out.println(risultati);
		}
	}


}
