package http;

import java.util.HashMap;
import java.util.Map;


/*
 * Mappa sincronizzata che memorizza gli user agent inseriti
 */
public class UserAgent {
	
	private Map<String, Integer> userAgent;
	
	public UserAgent(){
		userAgent = new HashMap<String, Integer>();
	}
	
	synchronized public void addUserAgent(String agent){
		if(userAgent.get(agent)==null){
			userAgent.put(agent,1);
		}
		else{
			userAgent.put(agent,userAgent.get(agent)+1);
		}
	}

}

