package socket;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.Socket;

public class ThreadServizioClient implements Runnable {

	private Socket canaleComunicazione;
	private InputStream is;
	private OutputStream out;
	
	public void setSocket(Socket s){
		canaleComunicazione = s;
	}
	
	@Override
	public void run() {
		//Prendo input
		try {
			is = canaleComunicazione.getInputStream();
			out = canaleComunicazione.getOutputStream();
		} catch (IOException e) {
			
		}finally{
			if(is!=null){
				try {
					is.close();
				} catch (IOException e) {
					e.printStackTrace();
				}
			}
			if(out!=null){
				try {
					out.close();
				} catch (IOException e) {
					e.printStackTrace();
				}
			}
		}
	}

}
