package utili;

import java.util.ArrayList;
import java.util.List;

public class Libro {
	
	private String isbn;
	private List<Autore> autori;
	private String titolo;
	
	public Libro() {
		super();
		autori = new ArrayList<Autore>();
	
	}

	public String getIsbn() {
		return isbn;
	}

	public void setIsbn(String isbn) {
		this.isbn = isbn;
	}

	public List<Autore> getAutori() {
		return autori;
	}

	public void setAutori(Autore... autori) {
		for (Autore autore : autori) {
			this.autori.add(autore);
		}
	}

	public String getTitolo() {
		return titolo;
	}

	public void setTitolo(String titolo) {
		this.titolo = titolo;
	}
	
	public String toString(){
		String oggetto = isbn+":";
		for(Autore a:autori){
			oggetto+=a+" ";
		}
		oggetto+=""+titolo;
		
		return oggetto;
	}
	
	
	
	

}
