package cacciaAlTesoro;
import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

public class ServerCacciaAlTesoro {
	
	public static void main(String[] args){
		ServerSocket server = null;
		try{
			GestioneCacciatori cacciatori = new GestioneCacciatori();
			server = new ServerSocket(7000);
			while(true){
				try{
					Socket accettata = server.accept();
					CacciaTesoroClient threadClient = new CacciaTesoroClient();
					threadClient.setSocket(accettata);
					threadClient.setGestioneCacciatori(cacciatori);
					Thread t = new Thread(threadClient);
					t.start();
				}catch(IOException ioe){
					System.out.println("errore nella socket");
				}
			}
		}catch(IOException ioe){
			System.out.println("Errore server socket");
		}finally{
			if(server!=null){
				try {
					server.close();
				} catch (IOException e) {
					e.printStackTrace();
				}
			}
		}
	}

}


