package facebook;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.FileWriter;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.MalformedURLException;
import java.net.URL;

import javax.net.ssl.HttpsURLConnection;

import org.json.simple.JSONObject;
import org.json.simple.parser.JSONParser;
import org.json.simple.parser.ParseException;


/*
 * Visualizzo tutti i campi restituiti dalla richiesta https://graph.faceboook.com/platform
 */
public class Platform {
	
	public static void main(String[] args) {
		System.out.println("----Da File----");
		try {
			BufferedReader br = new BufferedReader(new InputStreamReader(new FileInputStream(args[0])));
			JSONParser parser = new JSONParser();
			JSONObject risposta = (JSONObject) parser.parse(br);
			for(Object key:risposta.keySet()){
				Object value = risposta.get(key);
				if(value instanceof String)
					System.out.println(key + " : " + value);
				if(value instanceof JSONObject){
					JSONObject valueJson = (JSONObject) value;
					for(Object keyInner :valueJson.keySet() ){
						Object innerValue = valueJson.get(keyInner);
						if(innerValue instanceof String)
							System.out.println("\t"+keyInner + " : " + innerValue);
					}
				}
			}
		} catch ( IOException | ParseException e) {
			e.printStackTrace();
		}
		System.out.println("---Richiesta HTTP----");
		try {
			URL u = new URL("https://graph.facebook.com/platform");//Non  necessito di access_token
			HttpsURLConnection hsuc = (HttpsURLConnection)u.openConnection();
			hsuc.addRequestProperty("user-agent", "Java 1.7");
			BufferedReader br = new BufferedReader(new InputStreamReader(hsuc.getInputStream()));
			JSONParser parser = new JSONParser();
			JSONObject risposta = (JSONObject) parser.parse(br);
			for(Object key:risposta.keySet()){
				Object value = risposta.get(key);
				if(value instanceof String)
					System.out.println(key + " : " + value);
				if(value instanceof JSONObject){
					JSONObject valueJson = (JSONObject) value;
					for(Object keyInner :valueJson.keySet() ){
						Object innerValue = valueJson.get(keyInner);
						if(innerValue instanceof String)
							System.out.println("\t"+keyInner + " : " + innerValue);
					}
				}
			}
		} catch ( IOException | ParseException e) {
						e.printStackTrace();
		} 
	}

}
