package facebook;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.UnsupportedEncodingException;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLEncoder;

import javax.net.ssl.HttpsURLConnection;

public class PostinoBachecaFacebook {
	
	public static void main(String[] args) throws UnsupportedEncodingException {
		String access_token = args[1]; //access_token passato come secondo argomento da riga di comando
		String idProfiloUtente = args[0]; //id FB user
		String richiesta = "https://graph.facebook.com/"+idProfiloUtente+"/feed?access_token="+access_token;
		String messaggio = "Ciao amici il prof mi  apparso in sogno dicendomi che  stata pubblicata una nuova versione del progetto con una risorsa in meno da implementare (login). " +
				"Mi ha raccomandato di leggere bene il testo e di inviare domande se non si capisce... anche sul mio profilo. " +
				"Mi ha anche raccomandato di annunciare al mondo la presenza di warning molti utili nel codice pubblicato per le lezioni. Poi  suonata la sveglia e un'altra giornata  iniziata.";
		String messaggioEncode = URLEncoder.encode(messaggio,"UTF-8");
		String post = "message="+messaggioEncode;
		byte[] postInByte = post.getBytes();
		try {
			URL u = new URL(richiesta);
			HttpsURLConnection hsuc = (HttpsURLConnection) u.openConnection();
			hsuc.setDoOutput(true);
			hsuc.setRequestMethod("POST");
			hsuc.addRequestProperty("content-length", postInByte.length+"");
			OutputStream os = hsuc.getOutputStream();
			//Scrivo messaggio sulla bacheca
			os.write(postInByte);
			os.flush();
			//Leggo la risposta = stringa in formato JSON !!!!!!
			BufferedReader br = new BufferedReader(new InputStreamReader(hsuc.getInputStream()));
			String linea = "";
			while((linea=br.readLine())!=null){
				System.out.println(linea);
			}
		} catch (MalformedURLException e) {
			e.printStackTrace();
		} catch (IOException e) {
			e.printStackTrace();
		}
	}

}
