package serverHTTP;

import java.util.HashMap;
import java.util.Map;

import org.json.simple.JSONArray;
import org.json.simple.JSONObject;

public class PrimaProvaHandler implements ResourceHandler {

	private String risposta;
	private Map<String,String> queryMap;
	
	//  /primaProva?nome=Pino&cognome=Scotto
	
	// [{"nome":"Pino"},{"cognome":"Scotto"}]
	
	public PrimaProvaHandler(String query){
		//NB Codice per estrarre tutti gli elementi nella query di un URL => MOLTO UTILE e non sto scherzando!!!
		queryMap = new HashMap<String,String>();
		String[] elementQuery = query.split("&");
		for (int i = 0; i < elementQuery.length; i++) {
			String[] coppia = elementQuery[i].split("=");
			queryMap.put(coppia[0], coppia[1]);
		}
	}
	
	@Override
	public void gestisci() {
		JSONArray rootArr = new JSONArray();
		for(String chiavi: queryMap.keySet()){
			JSONObject obj = new JSONObject();
			obj.put(chiavi, queryMap.get(chiavi));
			rootArr.add(obj);
		}
		risposta = rootArr.toJSONString();
	}

	@Override
	public String getResponse() {
		return risposta;
	}
	
	@Override
	public boolean isCorrect(){
		return true;
	}
	
	//Metodo inutile usato per rispondere ad una domanda su oggetti JSON innestati
	public void bababa(){
		// {"location" : {
		//							"nome":"Pino",
		//							"cognome":"Scotto"}
		//	}
		JSONObject a = null;
		JSONObject nome = (JSONObject)a.get("location");
		System.out.println(nome.get("nome").toString());
	}

}
