package servers;

import java.io.File;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import java.util.Scanner;

public class Users {

	private Map<String,User> userSet;

	public Users(){
		userSet = new HashMap<String,User>();
	}

	public Users(String filename){
		userSet = new HashMap<String,User>();
		try{
			Scanner scan = new Scanner(new File(filename));
			String line = "";
			while(scan.hasNextLine()){
				line = scan.nextLine();
				String[] parts = line.split("\\t");
				this.inserisciUser(new User(parts[0],parts[1]));
			}
			scan.close();
		}catch(IOException ioe){
			ioe.printStackTrace();
		}
	}

	public synchronized User getUser(String email){
		return userSet.get(email);
	}

	public synchronized User inserisciUser(User u){
		return userSet.put(u.getEmail(), u);
	}


}
