package socket;

import java.io.BufferedOutputStream;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.OutputStreamWriter;
import java.net.Socket;
import java.net.UnknownHostException;

public class SocketStream {
	public static void main(String[] args) {
		String hostname;
		if (args.length > 0) {
			hostname = args[0];
		}
		else {
			hostname = "time.nist.gov";
		}
		OutputStreamWriter out = null;
		try {
			Socket theSocket = new Socket(hostname, 13);
			InputStream timeStream = theSocket.getInputStream( );
			StringBuffer time = new StringBuffer( );
			int c;
			while ((c = timeStream.read( )) != -1) 
				time.append((char) c);
			String timeString = time.toString().trim( );
			System.out.println("Sono le " + timeString + " secondo " + hostname);
			Socket http = new Socket("reti.di.unimi.it", 80);
			out = new OutputStreamWriter(new BufferedOutputStream(http.getOutputStream( )), "ASCII");
			out.write("GET /index.html HTTP 1.0\r\n\r\n");
			out.flush();
			BufferedReader br = new BufferedReader(new InputStreamReader(http.getInputStream()));
			String s="";
			while((s=br.readLine())!=null){
				System.out.println(s);
			}
		}
		catch (UnknownHostException ex) {
			System.err.println(ex);
		}
		catch (IOException ex) {
			System.err.println(ex);
		}
	}
}
