package stream;
import java.io.BufferedReader;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.HashSet;
import java.util.Scanner;
import java.util.Set;

/*
 * Con questa classe leggo un file di testo e con il numero di parole
 */
public class Esercizio10 {

	public static void main(String[] args) throws IOException {
		Set<String> nomi = new HashSet<String>(); //Definisco un insieme che contiene le parole distinte trovate nel file
		BufferedReader in = new BufferedReader(new InputStreamReader(new FileInputStream("alice.txt"))); // Creo uno stream di caratteri bufferizzato per la lettura del testo
		String s = ""; //Stringa temporanea che contiene la linea letta dal BufferedReader
		while((s=in.readLine())!=null){ //Finch c' una linea di testo
			String[] word = s.split(" "); //Divido la riga nelle sottostringhe separate dagli spazi usando il metodo split()
			for (int i = 0; i < word.length; i++) { 
				nomi.add(word[i]); //Tento di inserire una sottostringa o parola. Se la parola  gi presente nel mio insieme non verr inserita
			}
		}
		System.out.println("Il file contiene " + nomi.size()
				+ " parole distinte");
		in.close();
	}

}
