package url;

import java.io.BufferedInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.Reader;
import java.net.MalformedURLException;
import java.net.URL;

public class UrlStream {

	public static void main(String[] args) {
		if (args.length > 0) {
			try {
				URL u = new URL(args[0]);
				InputStream in = u.openStream( );
				Reader r = new InputStreamReader(new BufferedInputStream(in));
				int c;
				while ((c = r.read( )) != -1) {
					System.out.print((char) c);
				}
				System.out.println("");
				try {
					Object o = u.getContent( );
					System.out.println("Classe: " + o.getClass().getName( ));
				}
				catch (IOException ex) {
					System.err.println(ex);
				}
			}
			catch (MalformedURLException ex) {
				System.err.println(args[0] + " non  un valido URL");
			}
			catch (IOException ex) {
				System.err.println(ex);
			}
		}

	}
}
