package xmlJson;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStreamReader;

import org.json.simple.JSONArray;
import org.json.simple.JSONObject;
import org.json.simple.parser.JSONParser;
import org.json.simple.parser.ParseException;

public class LetturaFileJSON {

	/*
	 * Il codice estrae l'informazione reelativa alle mail di una persona analizzando il file personaJSON.txt creato dalla classe CreazioneJSONFile. I campi del documento sono quelli che trovate nel codice della
	 * classe CreazioneJSONFile
	 */
	
	public static void main(String[] args) {

		try {
			BufferedReader br = new BufferedReader(new InputStreamReader(new FileInputStream("personaJSON.txt")));
			String fileJSONtemp = ""; //Dopo la lettura da file contiene tutto il file in formato JSON
			String linea = ""; //String per lettura linea per linea
			while((linea=br.readLine())!=null){
				fileJSONtemp += linea; //leggo una linea e la concateno alla parte di file gi letto
			}
			br.close();
			
			JSONParser parser = new JSONParser();
			JSONObject radice = (JSONObject) parser.parse(fileJSONtemp); //Per come  stato definito nel codice di creazione, la radice del mio documento JSON  un oggetto JSON
			JSONArray emails = (JSONArray) radice.get("email"); //Estraggo il campo associato alla chiave emails, il quale  un array JSON => posso castare senza problemi.
			for(Object o:emails){ //Itero sulle email, e in generale sugli elementi contenuti nell'array  JSON
				System.out.println(o); //Dato che ogni entry  una stringa, verr invocato il metodo toString della classe Stringa.
			}
		} catch (IOException e) {
			e.printStackTrace();
		} catch (ParseException e) { //Possibile errore nel parsing del documento JSON
			e.printStackTrace();
		}

	}	

}
