package facebook;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.InputStreamReader;
import java.util.HashMap;
import java.util.Map;

import org.json.simple.JSONArray;
import org.json.simple.JSONObject;
import org.json.simple.parser.JSONParser;

public class MoviePreferito {

	/*
	 * Il file movie.txt  stato creato partendo dalla risposta alla richiesta https:/graph.facebook.com/me?fields=movies.fields(genre)
	 */
	public static void main(String[] args) {
		Map<String,Integer> contatore = new HashMap<String,Integer>();
		try{
			BufferedReader br = new BufferedReader(new InputStreamReader(new FileInputStream(args[0])));
			JSONParser parser = new JSONParser();
			JSONObject radice = (JSONObject) parser.parse(br);
			JSONObject movies = (JSONObject) radice.get("movies");
			JSONArray data = (JSONArray) movies.get("data");
			for(Object o:data){
				JSONObject entry = (JSONObject)o;
				String genere = (String)entry.get("genre");
				if(genere!=null){
					if(contatore.get(genere)!=null)
						contatore.put(genere,contatore.get(genere)+1);
					else
						contatore.put(genere,1);
				}
			}
			System.out.println(contatore);
		}catch(Exception e){
			e.printStackTrace();
		}
	}

}
