package socket;

import java.io.IOException;
import java.net.Socket;
import java.net.SocketException;
import java.net.UnknownHostException;

public class CreaSocket {
	
	public static void main(String[] args) {
		System.out.println("Scanning delle porte aperte");
		String host = "localhost";
		if (args.length > 0) {
			host = args[0];
		}
		for (int i = 80; i < 81; i++) {
			System.out.println(i);
			try {
				Socket s = new Socket(host, i);
				System.out.println("Server sulla porta " + i + " di "
						+ host);
			}
			catch (UnknownHostException ex) {
				System.err.println(ex);
				break;
			}
			catch (IOException ex) {}
		}
		
		System.out.println("Altri metodi della classe Socket");
		for (int i = 0; i < args.length; i++) {
			try {
				Socket theSocket = new Socket(args[i], 80);
				System.out.println("Connesso a " + theSocket.getInetAddress( )
						+ " sulla porta " + theSocket.getPort( ) + " dalla porta "
						+ theSocket.getLocalPort( ) + " di "
						+ theSocket.getLocalAddress( ));
			}
			catch (UnknownHostException ex) {
				System.err.println(args[i]+" non trovato");
			}
			catch (SocketException ex) {
				System.err.println("Non riesco a connetermi a " + args[i]);
			}
			catch (IOException ex) {
				System.err.println(ex);
			}
		}

	}

}
